2011-05-25  Christophe Coutand  <ecos@hotmail.co.uk>

	* NEWS, ecos.db: Add SPI flash driver for SST25xx devices.

2011-05-25  Christophe Coutand  <ecos@hotmail.co.uk>

	* NEWS, ecos.db: Add SPI flash driver for Atmel AT25DFxxx.

2011-03-13  Ilija Kocho  <ilijak@siva.com.mk>

	* NEWS, ecos.db: Add LPC17XX variant HAL, support for
	NXP Cortex M3 LPC17XX CPUs. BSP for Olimex LPC-1766-STK
	board including ethernet, serial and wallclock drivers.

2011-03-13  Ilija Kocho  <ilijak@siva.com.mk>

	* ecos.db: Ethernet, serial, and wallclock drivers for LPC17XX.
	(CYGPKG_DEVICES_WALLCLOCK_ARM_LPC2XXX): Fixed alias/description;
	(CYGPKG_DEVS_ETH_ARM_LPC2XXX): Ditto.
	(CYGPKG_IO_SERIAL_ARM_LPC24XX): Ditto.

2011-02-22  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Add hardware package CYGPKG_DEVS_ADC_ARM_AT91 to
	applicable target records: at91sam7sek, at91sam7xek, sam7ex256,
	eb55, phycore

2011-02-18  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Remove non-hardware package CYGPKG_IO_ADC from the
	ek-lm3s811 target definition and eliminate leading space in alias
	string for correct sorting of targets by name.

2011-02-09  Christophe Coutand  <ccoutand@stmi.com>

	* NEWS, ecos.db: Add Stellaris Cortex M3 variant HAL, support for
	Stellaris Cortex M3 800 series CPUs. BSP for Stellaris EK-LM3S811
	board including ADC and I2C drivers.

2010-11-12  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Add USB mass storage function driver package.

2010-10-27  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Add STM32 USB slave driver package.

2010-05-30  Christophe Coutand  <ccoutand@stmi.com>

	* ecos.db: Add AT91 ADC driver.

2009-11-13  John Dallaway  <john@dallaway.org.uk>

	* ecosadmin.tcl: Keep target records containing removed packages
	by default. Add "--remove_targets" switch to force removal.

2009-08-20  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Add uSTL package.

2009-07-14  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Add CYGPKG_IO_USB and CYGPKG_IO_USB_SLAVE hardware packages
	to targets at91sam7sek, at91sam7xek and sam7ex256.

2009-03-19  Ilija Kocho  <ilijak@siva.com.mk>

	* ecos.db: target mac7100evb added word "Freescale" to the description.
	
2009-03-04  Nick Garnett  <nickg@ecoscentric.com>

	* ecos.db: Add ADC synthetic driver. Add STM32 ADC driver.

2009-02-12  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Make CYGPKG_DEVS_FLASH_SPI_M25PXX a hardware package.

2009-02-06  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Eliminate superfluous target aliases which duplicate target
	name.

2009-02-05  Chris Holgate  <chris@zynaptic.com>
 
	* ecos.db: Added M25Pxx SPI flash driver.  Included M25pxx driver in
 	STM3210E eval board template.
 
2009-02-05  John Dallaway  <john@dallaway.org.uk>

	* ecos.db: Remove package and target records for the deprecated
	ColdFire port to avoid confusion. Add the CYGPKG_IO_SPI hardware
	package to all relevant target records.

	* pkgconf/stylesheet.dsl, pkgconf/ssa4.dsl, pkgconf/ssletter.dsl:
	Match up "--" string delimiters in the copyright banners.

2009-02-04  Nick Garnett  <nickg@ecoscentric.com>

	* ecos.db: Add STM32 SPI driver.

2009-01-08  John Dallaway  <john@dallaway.org.uk>

	* ecosadmin.tcl, pkgconf/fixhtml.tcl: Specify script interpreter via
	/usr/bin/env.

2008-12-02  Sergei Gavrikov <sergei.gavrikov@gmail.com>

	* ecos.db: Use the flash V2 driver for the LPC-H2294, LPC-E2294, &
	LPC-L2294-1MB targets.
	
2008-11-23  Sergei Gavrikov <sergei.gavrikov@gmail.com>

	* NEWS:
	* ecos.db: Ports to LPC-H2294, LPC-E2294, & LPC-L2294-1MB
	including flash drivers and ethernet drivers where appropriate.

	
2008-11-20  Bart Veer  <bartv@ecoscentric.com>

	* ecos.db: update M68K HAL packages and add m68k/mcfxxxx serial
	and ethernet device drivers.

2008-11-18  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Add Atmel dataflash package record, accidentally
	omitted from 2008-11-16 changes.
	Switch synthetic target to use v2 synth flash driver.

2008-11-16  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Use v2 drivers for adder/adderII and IXDP425.

2008-11-16  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Merge flash_v2 branch to trunk including these changes:

 2004-11-20  Bart Veer  <bartv@ecoscentric.com>

	* ecos.db: Add new AM29xxxxxx driver which supports the V2 API

 2004-08-06  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Added the new strata driver which uses the V2 API.

 2004-08-05  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Added the new synthetic target flash device which uses
	the new API and has some extra goodies like boot blocks.

2008-11-11  Nick Garnett  <nickg@ecoscentric.com>

	* ecos.db: Add STM32 wallclock driver.

2008-11-11  John Dallaway  <jld@ecoscentric.com>

	* ecos.db: Remove package records for absent packages and remove
	non-hardware packages from target records. Fix duplicate aliases.

2008-09-11  Uwe Kindler <uwe.kindler@cetoni.de>

	* NEWS: 
	* ecos.db: Add ADC device driver for EA2468 OEM board
	           which uses a new generic LPC24xx ADC driver.
	
2008-10-31  Nick Garnett  <nickg@ecoscentric.com>

	* NEWS, ecos.db: Add Cortex-M HAL and drivers.

2008-10-07  Bart Veer  <bartv@ecoscentric.com>

	* NEWS, ecos.db: add generic framebuffer support and a synthetic
	target 	device driver.
	
2008-09-15  Steven Clugston  <steven.clugston@ncl.ac.uk>
		
	* NEWS:
	* ecos.db: Port to PATI PC/104+ board from MPL elektronik.

2008-09-11  Uwe Kindler <uwe.kindler@cetoni.de>

	* NEWS: 
	* ecos.db: Add ethernet device driver for LPC2xxx cores and
	instantiate it on LPC2460 OEM board.
	
2008-08-08  Nick Garnett  <nickg@ecoscentric.com>

	* NEWS: 
	* ecos.db: Add generic ADC package.

2008-07-12  Hans Rosenfeld  <rosenfeld@grumpf.hope-2000.org>

	* NEWS:
	* ecos.db: added drivers for LPC2xxx on-chip flash, RTC, I2C and
	SPI units
	
2008-07-08   Uwe Kindler <uwe_kindler@web.de>
 
 	* NEWS:
	* ecos.db: Add EA LPC2468 OEM board, target, flash driver,
 	LPC24XXX variant + serial driver
 	
2008-06-07  Frank Pagliughi <fpagliughi@mindspring.com>

	* NEWS:
	* ecos.db: Add USB serial class driver.

2008-01-06   Lars Poeschel <larsi@wh2.tu-dresden.de>

	* NEWS
	* ecos.db: Add FR30, skmb91302 board from Fujitsu
	
2008-01-04   Uwe Kindler <uwe_kindler@web.de>

	* NEWS:
	* ecos.db: Add phyCORE229x platform, target, ethernet driver and
	flash driver

2007-07-02   uwe.kindler <uwe.kindler@cetoni.de>

	* ecos.db CAN driver for LPC2xxx. Updated entry for loop
	  CAN device driver.

2007-04-08   uwe.kindler <uwe.kindler@cetoni.de>

	* ecos.db Ethernet driver for Olimex SAM7-EX256 
	
2007-03-26   uwe.kindler <uwe.kindler@cetoni.de>

	* ecos.db CAN driver for AT91.

2007-02-13 John Eigelaar <jeigelaar@mweb.co.za>
	   Andrew Lunn <andrew.lunn@ascom.ch>

	* ecos.db: Ethernet device driver for AT91 EMAC.
	
2007-01-10 Ilija Koco <ilijak@siva.com.mk>

        * ecos.db: Splitted esci directory in esci/drv and esci/hdr

2007-01-02  Uwe Kindler <uwe_kindler@web.de>

	* ecos.db Add Olimex SAM7-EX256 platform and target

2006-11-21  Alexander Neundorf <alexander.neundorf@jenoptik.com>

	* ecos.db: add generic interrupt driven serial IO driver
	for PXA 2X0 platforms

2006-10-16  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Comment out CYGPKG_DEVS_ETH_ARM_AT91 for now - it's still
	work in progress apparently.

2006-09-21  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: add MMC/SPI device driver.

2006-08-06  Bart Veer  <bartv@ecoscentric.com>

	* ecos.db: add M68K/MCF52xx ColdFire I2C driver

2006-07-18  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Add AT-HTTPD package from Anthony Tonizzo.

2006-06-19  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Remove entries for none existing packages.

2006-06-08  Ilija Koco <ilijak@siva.com.mk>
 
	* ecos.db: Add Freescale MAC7100EVB platform and target
 
2006-06-09 Frank Pagliughi <fpagliughi@mindspring.com>

	* ecos.db: Add Philips D12 USB device driver and hardware specific
	package for i386.
	
2006-06-06  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Remove the hardware property from the USB and USB slave
	package. They themselves are not hardware dependent.

2006-06-02  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Add AT91SAM7SEK and AT91SAM7XEK packages and targets
	
2006-05-24  Ilija Koco <ilijak@siva.com.mk>

	* ecos.db: Add Freescale MAC7100 variant, SIvA MACE1 platform
	and Freescale ESCI serial driver

2006-05-09  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Add the Coldfire architecture HAL, the mcf5272 varient
	HAL and the m5272c3 platform HAL.

2006-05-07  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Add AT91 USB device driver.

2006-02-22  Mark Salter  <msalter@redhat.com>

	* ecos.db: Added net autotest.

2006-01-01  Andrew Lunn <andrew.lunn@ascom.ch>
            Oliver Munz <munz@speag.ch>
	
	* ecos.db: Added support for the AT91SAM7S. This includes a new
	flash driver, watchdog driver, minor changes to the AT91 USART
	driver, and extensions to the AT91 variant HAL in addition to the
	AT91SAM7S HAL.

2005-08-17  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Add new packages to an existing target
	record where necessary when installing an eCos package
	distribution file (.epk).

2005-07-18  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Update hardware package lists within
	target records when a package is missing.

2005-07-12  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Optionally update hardware package lists
	within target records when removing packages.

2005-06-28  Nick Garnett  <nickg@ecoscentric.com>

	* ecos.db: Added Object Loader package.

2005-06-12   Brandl Harald <Harald.Brandl@fh-joanneum.at>

	* ecos.db: Added a ethernet device driver for the NETARM.
	
2005-06-10  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl(ecosadmin::locate_subdirs): Accommodate
	the behaviour of recent versions of Cygwin.

2005-04-17   Andrew Lunn <andrew.lunn@ascom.ch>

	* ecos.db: Added support for the AT91 based PhyCore

2005-03-03   Jay Foster <jay@systech.cam>

	* pkgconf/rules.mak: Added removal of -Wstrict-prototypes compiler
	  option from the C++ flags (ACTUAL_CXXFLAGS).  This silences a
	  warning from GCC 3.4.3.

2005-02-23  Kurt Stremerch <kurt.stremerch@exys.be>

        * ecos.db: Added support for Exys XSEngine (PXA255) based system.
		
2005-01-31  Aaron Voisine <aaron@voisine.org>

	* Port of exXML to eCos.  Based on ezXML 0.8.1.  
	  Ported by Matt Jerdonek <maj1224@yahoo.com>

2004-11-25  Andrew Lunn  <andrew.lunn@ascom.ch>

	* pkgconf/rules.doc: If we cannot find the catalog do not pass it
	as an option and hope jade knowns where it is.
	
2004-11-19  Jani Monoses <jani@iv.ro>

	* ecos.db: New lpc2xxx platform, Olimex LPC-MT.

2004-11-16  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Add "clean" and "check" commands.

2004-11-14  Jani Monoses <jani@iv.ro>

	* ecos.db: New packages which include a hal variant port for the
	lpc2xxx, generic serial and watchdog drivers for the lpc2xxx and
	ports for the Keil MCB2100 and Olimex P2106.

2004-10-17  Iztok Zupet   <iz@elsis.si>

	* ecos.db: Added generic IDE disk driver.
	
2004-10-5  Andrea Michelotti <amichelotti@atmel.com> 
 
	* ecos.db: Added atmel jtst watchdog support
 
2004-10-05  Savin Zlobec  <savin@elatec.si>
 
        * ecos.db: Added Atmel AT91 SPI bus driver and AT91EB55 devices.
 
2004-09-16  Andrea Michelotti <amichelotti@atmel.com> 

	* ecos.db: Added atmel jtst board support, based on atmel Diopsis 
	chip which is an at91 plus a dsp.
	
2004-09-09  John Dallaway  <jld@ecoscentric.com>

	* ecos.db: Remove CYGPKG_IO_SERIAL_ARM_AIM711_S3C4510 and
        CYGPKG_IO_SERIAL_ARM_AIM711_16X5X which are now CDL components.
        [ patch from Roland Cassebohm ]

2004-09-05  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add new frv packages.

2004-08-24  Bart Veer  <bartv@ecoscentric.com>

	* ecos.db: add SPI package

2004-08-06  Jani Monoses <jani@iv.ro>

	* ecos.db: Remove two obsolete flash drivers: INTEL_BOOTBLOCK
	and AT91.They have better replacements and are not used anyway.
	
2004-05-15  Roland Ca?ebohm <roland.cassebohm@VisionSystems.de>

	* ecos.db: Added aim711 support

2004-05-14  John Dallaway  <jld@ecoscentric.com>

	* ecos.db: Rationalise the i386 PC target naming scheme.

2004-05-04  Jani Monoses <jani@iv.ro>

	* ecos.db: Added lwip package.

2004-04-21  Yoshinori Sato  <ysato@users.sourceforge.jp>

	* ecos.db: New Packages:
	CYGPKG_DEVS_ETH_DREAMCAST_RLTK8139 - SEGA Dreamcast Broadband Adapter support

2004-04-14  Nick Garnett  <nickg@calivar.com>

	* ecos.db: Added PPP package.

2004-03-12  Jonathan Larmour  <jifl@eCosCentric.com>

	* pkgconf/rules.mak: When linking, $LDFLAGS must be after target.ld
	so that -nostdlib works in all cases, so place it at the end.
	Add -finline-limit hack to preserve behaviour with newer GCC.
	Treat -frtti like -fno-rtti.

2004-02-27  Iztok Zupet  <iz@elsis.si>

        * ecos.db: Added the LANCEPCI packages and support for the vmWare
	target

2004-02-25  Gary Thomas  <gary@mlbassoc.com>

	* devs/flash/powerpc/moab/current/src/moab_nand_flash.c: 
	New board revision has larger FLASH (TC58DVG02 == 128MB)

2004-02-20  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Include CYGPKG_DEVS_ETH_ARM_KS32C5000 in snds100 and
	e7t targets.

2004-01-30  John Dallaway  <jld@ecoscentric.com>

	* ecos.db: Add 'hardware' attribute to CYGPKG_DEVS_ETH_ARM_KS32C5000.

	* ecosadmin.tcl: Delete empty directories in the repository following
	eCos package removal. Read the hardware attribute from package records
	in ecos.db.

2004-01-19  Nick Garnett  <nickg@calivar.com>

	* ecos.db: Added FAT12/16 filesystem packages.

	* NEWS: Added line about FAT filesystem support.
	
2003-11-22  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Added libipsec package.

2003-11-09  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: Add serial I/O package for Motorola MPC8xxx (QUICC-II)

2003-11-05  Bob Koninckx <bob.koninckx@mech.kuleuven.ac.be>

	* ecos.db: New packages - ethernet and watchdog for EC555 

2003-11-04  Andrew Lunn  <andrew.lunn@ascom.ch>

        * ecos.db: Modified the e7t to use the new 39VFXXX flash driver
	
2003-11-04  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Replaced the 39VF4XX flash driver with a 39VFXXX driver.

2003-10-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* pkgconf/rules.mak: Remove -finit-priority and -fvtable-gc
	from all flags.

2003-10-15  Gary Thomas  <gary@mlbassoc.com>
2003-09-23  Andrew Lunn  <andrew.lunn@ascom.ch>

	* pkgconf/rules.mak Only pass C flags to the C compiler.
	Workaround for BUG #1000035.
 
2003-10-04  Savin Zlobec <savin@elatec.si>

	* ecos.db: New package - Synth wall clock device
	
2003-09-30  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: New package - National Semiconductor DP83816 PCI ethernet

2003-09-21  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Add sh4_202_md serial driver package
	(CYGPKG_IO_SERIAL_SH_SH4_202_MD)
	
2003-09-19  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: 
	New platform - TAMS MOAB (PowerPC 405GPr)
	New NAND FLASH drivers - Toshiba 58CXXX
	New RTC driver - Dallas DS1307

2003-09-05  Nick Garnett  <nickg@balti.calivar.com>

	* ecos.db: Added Packages and target for SuperH SH4-202 part and
	MicroDev CPU board.
	
2003-08-22  Chris Garry  <cgarry@sweeneydesign.co.uk>

	* ecos.db: Add new VNC server package.

2003-08-22  Gary Thomas  <gary@mind.be>

	* ecos.db: Add support for picasso - another NMI uEngine (PXA255)
	based system.

2003-08-19  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: New packages:
	CYGPKG_DEVS_ETH_PHY - generic API for handling ethernet PHY devices
	CYGPKG_DEVS_ETH_POWERPC_FCC - fast ethernet controller on MPC8xxx
	CYGPKG_HAL_POWERPC_MPC8XXX - improved variant support for Motorola 8xxx
	CYGPKG_HAL_POWERPC_RATTLER - Analogue & Micro Rattler (Motorola 8250)

2003-08-13  Thomas Koeller  <thomas.koeller@baslerweb.com>

	* ecos.db: Changed alias names for AT91 flash driver to avoid
	collision with new EB40 flash driver.

2003-08-06  Michael Anburaj <embeddedeng@hotmail.com>

	* ecos.db: Added support for the Samsung ARM9/SMDK2410 development
	board.

2003-08-05  Thomas Koeller <thomas.koeller@baslerweb.com>

	* ecos.db: Added new package CYGPKG_DEVS_FLASH_EB40 and updated the
	eb40 target to use it instead of the old CYGPKG_DEVS_FLASH_AT91.
	
2003-07-23  Chris Garry  <cgarry@sweeneydesign.co.uk>

	* ecos.db: Added new packages CYGPKG_DEVS_FLASH_SST_39VF400 and
	CYGPKG_DEVS_FLASH_ARM_E7T.  Updated e7t target to include FLASH
	drivers.

2003-07-09  Eric Doenges <Eric.Doenges@DynaPel.com>

	* ecos.db: Add Realtek 8139 (PCI) ethernet driver.

2003-06-12  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Add repository merge capability (undocumented and
	unsupported at present).

2003-05-21  Jonathan Larmour  <jifl@eCosCentric.com>

	* pkgconf/stylesheet.dsl: No callout graphics.

2003-05-14  Thomas Koeller  <thomas.koeller@baslerweb.com>

	* ecos.db: Changed human-readable name and description of
        CYGPKG_IO_SERIAL_ARM_AT91 to something sensible.

2003-05-12  Nick Garnett  <nickg@balti.calivar.com>

	* ecos.db: Added packages and targets for Atmel AT91 boards: EB40,
	EB40A, EB42 and EB55.

2003-05-05  John Dallaway  <jld@ecoscentric.com>

	* pkgconf/rules.doc: Build PNG images (not GIFs) for HTML docs.

2003-03-23  Iztok Zupet  <iz@vsr.si>

	* pkgconf/rules.doc: Use three stylesheets instead of one.
	One for HTML the other for PDF-letter and the third one for PDF-A4
	format. (Stylesheets do not support two printable targets in 
	same stylesheet). Added copyfiles to PDF targets.
	* pkgconf/ssletter.dsl: New file.
	* pkgconf/ssa4.dsl: New file.
	* pkgconf/stylesheet.dsl: remove print stylesheet.

2003-04-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Shorten some long target names to stop them overrunning
	GUI boundaries.

2003-03-24  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: New platform - Analogue & Micro AdderII (PPC852T)

2003-03-18  Mark Salter  <msalter@redhat.com>

        * ecos.db: Add support for XScale IXP425, IXDP425, GRG.

2003-03-09  Yoshinori Sato  <ysato@users.sourceforge.jp>

	* ecos.db: New variant H8S (H8/300 architecture)
	New platform H8MAX (H8/300H)
	New platform EDOSK-2674 (H8S)

2003-03-05  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Prevent calls to 'cygpath' with an empty
	path argument.

2003-02-25  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Added the Simple Network Time Protocol (SNTP) client.

2003-02-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* pkgconf/rules.doc: Allow support for copying files directly from
	source doc dir to build dir. Primarily intended for copying over
	pre-built GIFs for the moment.

2003-02-20  Gary Thomas  <gary@mind.be>

	* ecos.db: New platform - NMI uE250 (ARM Xscale PXA250)

2003-02-14  Tim Michals  <t.michals@attbi.com>
2003-02-14  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Add IDT MIPS IDT79RC32334 reference platform port,
	including Flash, ethernet, and serial drivers.

2003-02-12  Patrick Doyle  <wpd@delcomsys.com>

	* ecos.db: Added ethernet packages to OMAP Innovator port.

2003-02-05  Patrick Doyle  <wpd@delcomsys.com>

	* ecos.db: Add Texas Instruments ARM9 OMAP Innovator port. Redboot
	only for now.

2003-01-29  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Accommodate UNIX-style paths under Cygwin when
	adding packages.

	* pkgconf/fixhtml.tcl: Accommodate latest Cygwin Tcl shell
	(tclsh83.exe)

2003-01-24  Knud Woehler <knud.woehler@microplex.de>
2003-01-24  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add packages for XScale PXA2x0/MPC50.

2003-01-24  John Dallaway  <jld@ecoscentric.com>

	* ecosadmin.tcl: Accommodate latest Cygwin Tcl shell (tclsh83.exe)

2003-01-22  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecos.db: Add CYGPKG_LINUX_COMPAT. Not a compatibility layer
	for Linux applications, but Linux drivers and filesystems.
	Intended for an updated JFFS2.

2002-12-24  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: Add port to Cogent CSB281 (PowerPC 8245)

2002-12-22  Nick Garnett  <nickg@ecoscentric.com>

	* ecos.db: Add HTTPD package.

2002-12-12  Gary Thomas  <gthomas@ecoscentric.com>
2002-12-12  Patrick Doyle <wpd@delcomsys.com>

	* ecos.db: Add packages for MPC8260 based systems - VADS
	and TS6 (Delphi Communications).	

2002-12-10  Gary Thomas  <gthomas@ecoscentric.com>

	* ecos.db: Enable serial devices for A&M 'adder' platform.

2002-11-25  Gary Thomas  <gthomas@ecoscentric.com>

	* ecos.db: Add support for A&M "Adder" (PowerPC 850)
	Split PowerPC QUICC ethernet driver into generic+platform.

2002-11-14  Gary Thomas  <gthomas@ecoscentric.com>

	* ecos.db: Add application profiling package.

2002-11-14  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add flash package for AM33 ASB2303.

2002-11-12  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: Add NPWR (Xscale from Team ASA).  Reorganize Xscale
	IOP310 based platforms (IQ80310).

2002-10-24  Jonathan Larmour  <jifl@eCosCentric.com>

	* ecosadmin.tcl (ecosadmin::process_add_package): Use gzip -d, not
	gunzip, as the latter fails with TCL on cygwin.

2002-10-18  Gary Thomas  <gthomas@ecoscentric.com>

	* ecos.db: Change package name for TS1000 flash part (consistency).

	* NEWS: Add note about Allied Telesyn TS1000 port.

2002-10-15  Iztok Zupet <iz@vsr.si>

	* pkgconf/rules.doc: modified for pdf target

2002-09-23  Mark Salter  <msalter@redhat.com>

	* ecos.db: Change XScale core dirname to "cores".

2002-09-19  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add XScale core package.

2002-09-03  Gary Thomas  <gary@mlbassoc.com>

	* ecos.db: Adding generic FEC driver support package (Viper).
	Add Allied Telesyn TS1000 platform.

2002-08-27  Bart Veer  <bartv@ecoscentric.com>

	* ecos.db: remove packages SDL and SMPEG that were never released.

2002-08-15  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Added the CPU load measurement package.

2002-08-14  Yoshinori Sato  <qzb04471@nifty.ne.jp>

	* ecos.db: Add H8/300H watchdog driver package.

2002-08-07  Andrew Lunn  <andrew.lunn@ascom.ch>

	* ecos.db: Added CRC package.

2002-08-07  Gary Thomas  <gthomas@ecoscentric.com>

	* pkgconf/rules.doc: The location of the various stylesheets, etc,
	is quite varied.  Made some changes to let it work on a Debian system,
	but this should definitely be revisited.

2002-08-06  Jonathan Larmour  <jifl@ecoscentric.com>

	* ecos.db: Include AT91 watchdog driver in at91 target.

2002-08-06  Thomas Koeller  <thomas@koeller.dyndns.org>

	* ecos.db: Add AT91 watchdog driver.

2002-06-20  Gary Thomas  <gary@chez-thomas.org>

	* ecos.db: A&M Viper now uses generic AMD FLASH drivers.

2002-05-08  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Removed special SH2 SCIF driver. The changes have been
	merged into the SH3 (now generic SH) driver.
	
2002-04-24  Yoshinori Sato  <qzb04471@nifty.ne.jp>

	* ecos.db: Add H8/300 serial driver.

2002-04-25  Bob Koninckx  <bob.koninckx@mech.kuleuven.ac.be>

	* ecos.db: Add ports to Wuerz Elektronik and Axiom Manufacturing
	MPC555 based eval boards.

2002-04-24  Yoshinori Sato  <qzb04471@nifty.ne.jp>

	* ecos.db: Add H8/300 port.


2002-04-15  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Changed integrator target to integrator_arm7. Tidied up
	descriptions a little too.

2002-04-09  Jesper Skov  <jskov@redhat.com>

	* pkgconf/rules.mak: Allow building of .cpp files. Not supported
	by makefile generator yet, though.

	* ecos.db: Added SDL and SMPEG packages.

2002-03-26  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added microwindows package.

2002-03-18  Hugo Tyson  <hmt@redhat.com>

	* ecos.db: Add CYGPKG_HAL_SPARC_ERC32 and target sparc_erc32 -
	also contributed by Jiri Gaisler <jiri@gaisler.com>.

2002-03-15  Hugo Tyson  <hmt@redhat.com>

	* ecos.db: Add CYGPKG_HAL_SPARC, CYGPKG_HAL_SPARC_LEON, target
	sparc_leon contributed by Jiri Gaisler <jiri@gaisler.com>.  See
	<http://www.gaisler.com> for information about the TSIM simulator
	and Leon project per se.

2002-03-10  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add keyboard driver.

2002-03-09  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add touch screen driver for Aglient AAED-2000.

2002-03-08  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Fix Integrator aliases.

2002-03-06  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Added new target: integrator_arm9 for ARM9 based
	integrator boards.
	Renamed CYGPKG_DEVS_FLASH_INTEGRATOR to
	CYGPKG_DEVS_FLASH_ARM_INTEGRATOR for consistency with other
	packages.

2002-02-18  Jesper Skov  <jskov@redhat.com>

        * ecos.db: Added SH2 etherc package.

2002-02-08  Jonathan Larmour  <jlarmour@redhat.com>

	* pkgconf/rules.mak: Fix the below fix which had too _few_ backslashes!

2002-02-04  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add [contributed] port to CerfCube & CerfPDA.

2002-02-02  Jonathan Larmour  <jlarmour@redhat.com>

	* pkgconf/rules.mak: Fix bug with too many backslashes in sed.

2002-01-29  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Added CYGPKG_IO_SERIAL_ARM_IQ80321.

2002-01-28  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Split network support into generic and stack
	implementations.  Move BSD based stack to one implementation.

	Add FreeBSD based (new) stack as another.
2002-01-21  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add JFFS2 package.

2002-01-21  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add Intel 82544 ethernet for iq80321.

2002-01-08  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add synthetic flash driver package, and add it to the
	synthetic linux target.

2002-01-03  Mark Salter  <msalter@redhat.com>

	* ecos.db: Use generic i82559 driver for iq80310.

2001-12-20  Koichi Nagashima  <naga@r-lab.co.jp>

	* ecos.db: Add CqREEK SH7750 flash driver.

2001-12-12  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add XScale "Verde" (IOP80320) and IQ80321 packages.

2001-12-06  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Change names on i82544 package so they don't clash with
	the i82559 package.

2001-11-27  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Added Intel i82543/82544 Gigabit ethernet card packages
	and a pc_giga target. This latter is a temporary measure until we
	work out how best to support targets that can have a variety of
	different hardware configurations.

2001-11-22  Jesper Skov  <jskov@redhat.com>

	* pkgconf/rules.mak: Added HOST_CC definition. This really belongs
	in the top-level makefile, but requires tool changes.

2001-11-21  Andrew Lunn  <andrew.lunn@ascom.ch>

	* pkgconf/rules.mak (tests.stamp): Be explicit about substitution
	to avoid potential problems with trailing spaces.
	[Bug #56239]

2001-11-14  Jesper Skov  <jskov@redhat.com>

	* ecos.db: edb7xxx target now uses generic CS8900A driver.

2001-11-07  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added generic CS8900A package to AAED2000 template.

2001-11-06  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add malta_mips64_5kc target.

2001-11-02  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added CS8900A package.

2001-10-30  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Added ARM Integrator target including HAL, serial driver, 
	eth driver and flash driver packages.

2001-10-30  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added AAED2000 packages.

2001-10-19  Lars Lindqvist  <Lars.Lindqvist@combitechsystems.com>
2001-10-19  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add AEB-2 (E7T) serial drivers.

2001-10-12  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Clarify Cirrus Logic related packages' descriptions.

2001-10-12  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Remove separate CYGPKG_DEVS_FLASH_STRATA_EDB7XXX package,
	and instead use a consolidated CYGPKG_DEVS_FLASH_EDB7XXX package.

2001-09-27  Hugo Tyson  <hmt@redhat.com>

	* ecos.db: Add CYGPKG_DEVS_ETH_INTEL_I21143 and
	CYGPKG_DEVS_ETH_MIPS_VRC4375, and add them to the target vrc4375.

2001-09-26  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add FLASH support for Fujitsu FR-V 400.

2001-09-24  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added DNS package.

2001-09-25  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add support for new Cogent [Cirrus Logic] EDB7312 platform.

2001-09-20  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Adding network driver for Fujitsu FR-V 400.

2001-09-18  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add i386 PC wallclock driver package, and include it
	in the PC target.

2001-09-17  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add support for Fujitsu FRV family, including initial
	target of frv400 (MB93091 eval board).

2001-09-13  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added flash support to EDK7708.

2001-09-10  Nick Garnett  <nickg@redhat.com>

	* ecos.db:
	Added FLASH support for VRC437X based boards.

2001-09-07  Nick Garnett  <nickg@redhat.com>

	* ecos.db: Added VRC4375 and VRC437X packages, added vrc4375
	target and reorganized vrc4373 target to match.

2001-08-17  Jesper Skov  <jskov@redhat.com>
	[from branch]
	* ecos.db: Added flash package for excalibur.
	Added excalibur platform.

2001-07-31  Bart Veer  <bartv@redhat.com>

	* pkgconf/rules.mak:
	Fix header file dependencies for testcases.

2001-07-30  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add Samsung SNDS-100 evaulation board.  Mostly based
	on contribution from Grant Edwards <grante@visi.com>

2001-07-30  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added Dreamcast platform HAL, contributed by Takeshi
	Yaegashi (t@keshi.org)

2001-07-27  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add flexanet HAL, eth driver, flash driver and target.
	Contributed by Jordi Colomer <jco@ict.es>

2001-07-27  David Howells  <dhowells@redhat.com>

	* ecos.db: Added ASB2305 platform, and it's serial and flash
	support.

2001-07-24  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add Atmel AT91/EB40 serial support.

2001-07-18  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add Atmel AT91/EB40

2001-07-16  Bart Veer  <bartv@redhat.com>

	* pkgconf/fixhtml.tcl:
	Add smarttags protection to the HTML files generated from DocBook.
	Remove spurious comment.

2001-07-16  Julian Smart <julians@redhat.com>

	* pkconf/rules.mak: worked around Cygwin mkdir problem
      by introducing a HOST variable and testing for HOST=CYGWIN.

2001-07-10  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added se7751.
	Added ether package.
	
2001-07-06  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added wallclock driver for DS12887. Moved SH3 wallclock
	driver into SH directory.
	Added wallclock and watchdog drivers to hs7729pci.

2001-06-28  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Clarify edb7xxx description.

2001-06-22  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add CYGPKG_NET_ETH_DRIVERS alias for CYGPKG_IO_ETH_DRIVERS
	temporarily

2001-06-22  Hugo Tyson  <hmt@redhat.com>

	* ecos.db: Add entry for generic SMSC lan91cxx ethernet controller.

2001-06-21  Jonathan Larmour  <jlarmour@redhat.com>

	* pkgconf/rules.mak: Use sed to process dependency files in a way
	that will work with both new and old format gcc dependency files.

	* ecos.db: Include CYGPKG_DEVS_ETH_CF and CYGPKG_DEVS_ETH_NS_DP83902A
	packages in those targets which can use them.
	Make CYGPKG_DEVS_ETH_CF have hardware attribute.

2001-06-19  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added serial packages for SE77x9.

2001-06-13  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added DP83902A driver.

2001-06-12  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added SE77x9 support packages.

2001-06-08  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: PC target uses generic 16x5x serial driver now.

2001-06-08  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added MN10300 flash drivers.

2001-06-08  Nick Garnett  <nickg@cygnus.co.uk>

	[x86 branch]
	* ecos.db: Added CYGPKG_HAL_I386_GENERIC and CYGPKG_HAL_I386_PCMB
	packages. Added these to PC target.

2001-06-08  Nick Garnett  <nickg@cygnus.co.uk>

	[x86 branch]
	* ecos.db:
	Added CYGPKG_DEVS_ETH_I386_PC_I82559 package to provide support
	for Intel i82559 ethernet device. Added this to PC target.

2001-05-31  Jonathan Larmour  <jlarmour@redhat.com>

	* ecosadmin.tcl (set_value): Only warn if packages are missing.

2001-05-31  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added VIA Rhine ethernet driver. Use on HS7729PCI.

2001-05-30  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added PCI package to HS7729PCI.

2001-05-28  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added flash package to HS7729PCI target.

2001-05-25  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added HS7729PCI target.

2001-05-23  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Ocelot now uses generic AMD flash driver.
	Removed AMD29F040B driver.

2001-05-01  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add calmrisc16

2001-04-30  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add generic 16x5x driver to iq80310 target.

2001-04-24  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add missing dependency on StrataFlash driver for Assabet.

2001-04-03  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db:
	Include flash driver in sa1100mm target.

2001-04-03  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added PCNet ethernet driver package.

2001-03-29  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Add Atlas flash and ethernet drivers to target description.
	Also PCI package.
	Fix atlas flash package alias typo.

2001-03-21  Jonathan Larmour  <jlarmour@redhat.com>

	* ecos.db: Update ceb_v850 description - no longer V850/SA1 specific

2001-03-21  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added new Intel 28Fxxx package. Only supports flash
	file at the moment.
        Added flash support to Malta. Also enable PCI.

2001-03-20  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added Malta board.

2001-03-16  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add calmrisc32.

2001-03-16  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added E7T package.

2001-03-15  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add keyboard driver for iPAQ

2001-03-08  Bart Veer  <bartv@redhat.com>

	* ecosadmin.tcl, locate_files:
	Do not eliminate makefile, configure.in, etc. It is now valid for
	these to be present, e.g. in a package's host or doc subdirectory.

2001-03-08  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added CYGPKG_COMPRESS_ZLIB.

2001-03-05  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Adding iPAQ touch screen driver.

2001-02-28  Hugo Tyson  <hmt@redhat.com>

	* ecos.db: Add Watchdog for SA11x0 StrongARMs.  Package
	CYGPKG_DEVICES_WATCHDOG_ARM_SA11X0.  Included in appropriate
	targets - not sure whether it applies to SA1100, so SA1110 only.

2001-02-24  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Import initial iPAQ support from 3G Labs.

2001-02-23  Jesper Skov  <jskov@redhat.com>

	* ecos.db: MBX uses new generic AMD flash driver.

2001-02-21  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Add packages for new-style AMD and Atmel flash
	drivers. Add flash support to PID.

2001-02-14  Hugo Tyson  <hmt@redhat.com>

	* ecos.db: Add generic strataFlash driver,
	CYGPKG_DEVS_FLASH_STRATA located in devs/flash/intel/strata/... 

2001-02-09  Jonathan Larmour  <jlarmour@redhat.com>

	* pkgconf/rules.mak: Revert below change for now until we work
	out something better.

2001-02-06  Jonathan Larmour  <jlarmour@redhat.com>

	* pkgconf/rules.mak: When generating dependencies, accomodate
	new gcc dependency output format (and preserve compatibility
	with the old - it just generates a redundant dependency).

2001-02-01  Julian Smart <julians@redhat.com>

	* Added mips to list of directories to keep for devs/flash
2001-01-31  Nick Garnett  <nickg@cygnus.co.uk>

	* ecos.db: Added MIPS64 package and atlas_mips64_5kc target.

2001-01-25  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added generic i82559 ethernet driver.
	Added PMC-Sierra Ocelot driver.

2001-01-10  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Add i82559 driver.

2000-12-21  Mark Salter  <msalter@redhat.com>

	* ecos.db: Added MIPS Atlas ether and flash packages.

2000-12-07  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Include PCI driver.

2000-12-05  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added AMD flash driver.

2000-11-30  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added Ocelot packages.


2000-11-28  Nick Garnett  <nickg@cygnus.co.uk>

	* ecos.db: Added entry for loader package.
	
2000-11-25  Jonathan Larmour  <jlarmour@redhat.com>

	* pkgconf/rules.mak (mlt_headers): Rewrite to work under Solaris,
	and without excessive rebuilds.

2000-11-21  Bart Veer  <bartv@redhat.com>

	* ecos.db:
	Added USB support

2000-11-16  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added intel flash driver. Going to use it as a test to
	get more generic drivers working.

2000-11-14  Drew Moseley  <dmoseley@redhat.com>

	* pkgconf/rules.mak: Get rid of some gnu specific options to cp, find and xargs.

	
2000-11-04  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add CYGPKG_DEVS_ETH_ARM_IQ80310.

2000-11-01  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added cq7750 target and SH3/SH4 variant packages. Moved
	EDK7708 package.

2000-10-26  Mark Salter  <msalter@redhat.com>

	* ecos.db: Add support for XScale IQ80310

2000-10-25  Drew Moseley  <dmoseley@redhat.com>

	* ecos.db: Add support for SA1100 Multimedia

2000-10-20  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add FLASH drivers for PowerPC/MBX.

2000-10-20  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Include FLASH drivers for all Cirrus Logic targets.

2000-09-15  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Made PID use generic 16x5x driver.

2000-09-14  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added generic 16x5x driver package.
	* ecos.db: Use generic 16x5x driver for REF4955.

2000-09-06  Jesper Skov  <jskov@redhat.com>

	* ecos.db: SH serial driver reorg changes.

2000-08-29  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* ecos.db: Include CYGPKG_IO_PCI in vrc4373 target

2000-08-24  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add FLASH driver for Intel Assabet.

2000-08-22  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* ecos.db: Don't use set_value for asb

2000-08-18  Nick Garnett  <nickg@cygnus.co.uk>

	* ecos.db: Added CYGPKG_FS_RAM package.

2000-08-14  Hugo Tyson  <hmt@cygnus.co.uk>

	* ecos.db: Minor changes...
	Arrange for hardware flash drivers to be "hardware" and
	referenced in their associated targets, and for the common flash
	code to be not-hardware and not in any target.
	Arrange for hardware PCMCIA drivers to be "hardware" and
	referenced in their associated targets, and for the common PCMCIA
	code to be not-hardware and not in any target.
	Not sure what to do about the "PCMCIA (Compact Flash) ethernet
	drivers" CYGPKG_DEVS_ETH_CF - arguably this should be "hardware"
	and mentioned in all targets that can use PCMCIA, right?  But it
	is not hardware specific, and you might want to use PCMCIA without
	using the net at all.  So I left it a plain package.

2000-08-14  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add flash driver for EDB7xxx.

2000-08-10  Drew Moseley  <dmoseley@redhat.com>

	* ecos.db: Added asb packages.

2000-08-10  Hugo Tyson  <hmt@cygnus.co.uk>

	* ecos.db (CYGPKG_IO_ETH_DRIVERS): Since this package is now
	included in all releases, re-organize it so that it is exported
	in ecos.db always.  (Same package as change 2000-08-03)

2000-08-03  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Ethernet [logical] drivers package moved to "io".

2000-08-01  Gary Thomas  <gthomas@redhat.com>

       * ecos.db: 
       Reorg FLASH packages to have architecture layer.

2000-08-01  Gary Thomas  <gthomas@redhat.com>

       * ecos.db: 
       Reorg PCMCIA packages to have architecture layer.

2000-07-26  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Adding FLASH package - FLASH memory support.

2000-07-14  Drew Moseley  <dmoseley@redhat.com>

	* ecos.db: Added mips3264 stuff.

2000-07-14  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add RedBoot package.

2000-07-07  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add PCMCIA (Compact Flash) ethernet driver.

2000-07-06  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add initial PCMCIA (Compact Flash) package(s).

2000-07-07  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Removed 'enable' statements from SH targets. Moved to
	individual HAL CDL files.

2000-06-23  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added CqREEK serial package.

2000-06-22  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added io_wallclock alias.

	2000-06-13  Hugo Tyson  <hmt@cygnus.co.uk>

	* ecos.db: Add CYGPKG_SNMPLIB and CYGPKG_SNMPAGENT.

2000-06-06  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Removed REF4955 watchdog. Isn't supported on the board.

2000-06-05  John Dallaway  <jld@redhat.com>

	* ecos.db:

	Tidy CqREEK-related display strings.

2000-05-31  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added CqREEK platform HAL (contributed by Haruki
	Kashiwaya).

2000-05-31  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Moved watchdog drivers around. Common code in
	io/watchdog, low-level drivers in devs/watchdog/<arch>.
	CYGPKG_DEVICES_WATCHDOG is now called CYGPKG_IO_WATCHDOG and
	targets include individual hardware drivers.

2000-05-26  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added dallas 1742 wallclock driver package.

2000-05-26  Nick Garnett  <nickg@cygnus.co.uk>

	* ecos.db: Added CYGPKG_IO_FILEIO package.

2000-05-25  John Dallaway  <jld@redhat.com>

	* ecos.db: Tidy V850-related display strings.

2000-05-25  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added REF4955 serial driver package.
	Added wallclock driver package.
	
2000-05-16  Nick Garnett  <nickg@cygnus.co.uk>

	* ecos.db: Fixed naming bug in CYGPKG_LIBC_SETJMP entry.

2000-05-10  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added tx49 related packages.

2000-04-26  Jesper Skov  <jskov@redhat.com>

	* ecos.db: ceb_v850 - include serial driver.

2000-04-20  Gary Thomas <gthomas@redhat.com>

	* ecos.db: Rename hal/nec to hal/v85x for NEC/V85x architecture.

2000-04-11  Hugo Tyson  <hmt@cygnus.co.uk>

	* ecos.db: CYGPKG_IO_SERIAL should not be "hardware" now that it
	lives in templates rather than targets.

2000-04-07  Hugo Tyson  <hmt@cygnus.co.uk>

	* ecos.db: Re-organize device packages.  This is a massive change
	involving deleting all the sources for serial and ethernet drivers
	from where they used to live in
	    packages/io/serial/current/src/ARCH/PLATFORM.[ch]
	    packages/net/drivers/eth/PLATFORM/current/src/...
	and reinstating them in
	    packages/devs/serial/ARCH/PLATFORM/current/src/...
	    packages/devs/eth/ARCH/PLATFORM/current/src/...

	All these new packages are properly defined in ecos.db, and are
	all of type "hardware" so that a "target" can grab them.
	
	This directory layout is descriptive of the devices we have right
	now, arch and platform are separate levels just to make it easier
	to navigate in the filesystem and similar to the HAL structure in
	the filesystem.

	It is *not* prescriptive of future work; for example, the mythical
	common highly-portable 16550 serial driver which works on many
	targets would be called "devs/serial/s16550/current", or a serial
	device for a particular board (cogent springs to mind) that can
	work with different CPUs fitted is "devs/serial/cogent/current".

	Changelogs have been preserved and replicated over all the new
	packages, so that no history is lost.

	The contents of individual source files are unchanged; they build
	in just the same emvironment except for a very few cases where the
	config file name changed in this movement.

	Targets in ecos.db have been redefined to bring in all relevant
	hardware packages including net and serial drivers (but the newly
	included packages are only active if their desired parent is
	available.)
	
	The names of CDL options (and their #defines of course) stay the
	same for the serial drivers, for backward compatibility.

	* templates/*/current.ect: these have had CYGPKG_IO_SERIAL added
	rather than it being in (almost) all target definitions.
	
2000-04-05  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Wallclock moved.

2000-03-31  Nick Garnett  <nickg@cygnus.co.uk>

	* ecos.db: Added POSIX package.
	
2000-03-24  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* ecosrelease.tcl: Allow running if cygtclsh80 is the tcl shell, as
	on cygwin, rather than tclsh.
	* ecosdistrib.tcl: Likewise
	* ecosadmin.tcl: Likewise

2000-03-24  Hugo Tyson  <hmt@cygnus.co.uk>

	* ecos.db (sparclite_sim): Add CYGPKG_IO_SERIAL to the SPARClite
	simulator target - thus acquiring conflict-free default template,
	and getting stdio availability in libc.

2000-03-22  John Dallaway  <jld@cygnus.co.uk>

	* ecosadmin.tcl:

	Don't invoke 'cygpath' on DOS-style paths to workaround erratic
	behaviour when invoked from the GUI admin tool.

2000-03-20  Gary Thomas  <gthomas@redhat.com>

	* ecos.db: Add support for NEC/V850 HAL and CEB platform.

2000-03-16  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Make edk7708 target select the appropriate CPU.

2000-03-10  John Dallaway  <jld@cygnus.co.uk>

	* ecosadmin.tcl:

	Use 'cygpath' to process Cygwin-style command line arguments.

2000-03-03  Bart Veer  <bartv@redhat.com>

	* pkgconf/makevars (CP):
	Use install -c rather than plain install, to avoid problems under
	FreeBSD 

2000-02-29  Gary Thomas  <gthomas@cygnus.co.uk>

	* ecos.db: Add driver package for PowerPC QUICC (MBX) ethernet.

2000-02-28  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Eliminate superfluous ebsa285 target alias.

2000-02-18  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Tidy display strings.

2000-02-11  Jesper Skov  <jskov@redhat.com>

	* ecos.db: PPC descriptions fixed.

2000-02-11  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Tidy PowerPC-related display strings.

2000-02-10  Jonathan Larmour  <jlarmour@redhat.co.uk>

	* targets: Fix up some accidental reversions
	* ecos.db: Add some extra aliases for existing targets

2000-02-10  Nick Garnett  <nickg@cygnus.co.uk>

	* targets: 
	* packages: 
	* ecos.db:
	Added appropriate entries for i386 PC target.

2000-02-10  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Added SPARClite target.

2000-02-09  Gary Thomas  <gthomas@cygnus.co.uk>

	* ecos.db: EDB7xxx ethernet driver CDL file changed.

2000-02-09  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Add the EBSA285 ethernet driver package to the package database.

2000-02-08  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Tidy networking-related package records and remove
	target 'edb7212_net' which is not required for .epk
	distributions.

2000-02-08  Gary Thomas  <gthomas@cygnus.co.uk>

	* ecos.db: Add network enabled EDB721x target.

2000-02-08  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Add the networking packages to the package database.

2000-02-07  Jesper Skov  <jskov@redhat.com>

	* ecos.db:
	* targets:
	* packages:
	Added PPC variants.

2000-01-31  Jesper Skov  <jskov@redhat.com>

	* ecos.db: Removed below again.

2000-01-28  Gary Thomas  <gthomas@cygnus.co.uk>

	* ecos.db: Add support for networking package.

2000-01-20 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Add an alias for the 'cma222' target.

2000-01-20  Jesper Skov  <jskov@cygnus.co.uk>
	CR 901835-CR
	* ecos.db: Added io_serial alias to CYGPKG_IO_SERIAL.

2000-01-18  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Include serial for i386 (to get IO_SERIAL_HALDIAG
	requirement satisfied).

1999-12-21 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Fix target descriptions for consistency.

1999-12-20 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Add new internal CDL targets for the test farm:

		edb7209, edb7212, cl7111

	* ecosadmin.tcl:

	Accommodate the new 'set_value' command in the package
	database parsing code.

1999-12-17 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Eliminate template entries. Templates are now specified
	as files in the 'templates' directory hierarchy.

	* ecosadmin.tcl:

	Remove obsolete 'template' proc from the package
	database parsing code.

1999-12-16  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* ecos.db: Add support for big-endian ARM PID target
	Add support for ARM PID thumb target (pidT)
	Add support for big-endian ARM PID thumb target (pidTBE)
	Add support for ARM CMA230 thumb target (cma230T)
	Fix a few teeny typos

1999-12-08  Gary Thomas  <gthomas@cygnus.co.uk>

	* ecos.db: Update for Cogent CMA222 (associated with CMA230).

1999-12-08  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Force the MLT files in the install tree to be
	writable.

1999-12-02  Mark Salter  <msalter@cygnus.com>

	* targets: Added cma222 platform.

1999-12-03 John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Modify the 'clean' rule to avoid leaving the output of
	custom rules in the build tree.

1999-12-02 John Dallaway  <jld@cygnus.co.uk>

	* ecosrelease.tcl:

	Eliminate creation of version directory under
	'prebuilt' directory.

1999-11-30 John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Add 'mlt_headers' rule.

1999-11-29 John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Accommodate 'make -n' by using wildcards for the
	dependencies of test executables.

1999-11-29 John Dallaway  <jld@cygnus.co.uk>

	* ecosrelease.tcl:

	Eliminate version directory under 'prebuilt'
	directory.

1999-11-25  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* targets:
	Don't support stubs startup for PIDT platform
	nor CMA230T platform
	The reason is that you're meant to build the stub
	in normal mode, not thumb mode.

1999-11-25 John Dallaway  <jld@cygnus.co.uk>

	* *.cdl:

	Fix description strings for CDL options
	CYGPKG_LIBM_CFLAGS_ADD and CYGPKG_LIBM_CFLAGS_REMOVE.

1999-11-24 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Eliminate command_prefix and cflags attributes for
	each target. This information is no longer required
	by libCDL.

	* ecosadmin.tcl:

	Remove obsolete command_prefix and cflags procs from
	the package database parsing code.

1999-11-19  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* targets:
	Remove -mno-sched-prolog for thumb builds

1999-11-19 John Dallaway  <jld@cygnus.co.uk>

	* ecosadmin.tcl:

	Observe the ECOS_REPOSITORY environment variable rather
	than PKGCONF_COMPONENT_REPOSITORY.

1999-11-18  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: EDB7209 only has "ROM" startup.

1999-11-17 John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Ignore errors during test linking if the IGNORE_LINK_ERRORS
	environment variable is set.

1999-11-16 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Tidy Cirrus Logic display strings.

1999-11-16  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Add aliases for Cirrus Logic platforms.

1999-11-10  Bart Veer  <bartv@cygnus.co.uk>

	* ecos.db
	Try to sort out template and target packages	

1999-11-09 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Tidy up target and template strings.

1999-11-09 John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Tidy up HAL alias strings.

1999-11-08 John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Use .d files are targets for the compilation of tests.

	Explcitly specify a .d file as a dependency of each
	test execuatable to avoid deletion of .d file as an
	'intermediate' file.

1999-11-04  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	Rename to ecosadmin.tcl and perform a global
	substitution "pkgadmin"->"ecosadmin" throughout the
	script.

1999-11-04  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Make all tests dependent on the eCos library and object
	files.

1999-11-03  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Remove .tmp files during 'make clean'.

1999-11-03  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Eliminate the use of .stamp files for individual object
	files. Use the dependency files (*.d) as stamp files.

1999-11-03  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Adding MN10300 platforms.
          Added CYGMON package.
	
1999-11-02  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Generate *.d dependency files during compilation.

	Generate a .deps dependency file for the tests.

	Include any .deps files which may exist.

1999-11-02  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Added PowerPC platforms.
	* ecos.db: Added some MIPS platforms. Added remaining MIPS platforms.
	
1999-11-01  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Added i386/linux target.
	* ecos.db: Added sparclite/sleb target.

1999-10-29  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Added SH/EDK target.

1999-10-29  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Specify '.PHONY' rule.

1999-10-28  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	Rationalise the naming of timestamp files.

1999-10-27  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Reenabled stubs startup for pid9.

1999-10-26  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: Disable CygMon by default

1999-10-26  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/rules.mak:

	New file providing default rules for makefiles generated
	from CDL data.

1999-10-26  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Removed stubs startup for pid9.
	* targets: Added pidBE platform.
	* targets: Added pidTBE platform.
	
1999-10-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: Add Cygmon package.

1999-10-20  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Rationalize hardware template names and descriptions.

	Remove thumb variant hardware templates as thumb support
	is now controlled by a CDL option.

1999-10-19  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Added pid9 target.

1999-10-18  John Dallaway  <jld@cygnus.co.uk>

	* ecos.db:

	Enable CYGHWR_THUMB for Thumb targets.

1999-10-15  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	Accommodate and ignore new tcl commands 'enable' and
	'disable' in the package database file (ecos.db).

1999-10-14  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Some occurrences of $ in constant strings were not
	backslash-quoted. With older versions of Tcl this did not cause
	problems, but Tcl 8.2.1 appears to have been fixed and now
	attempts variable substitution. Appropriate backslashes have been
	added. 

1999-10-07  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Removed AEB rev C again. Handled with option now.

1999-10-06  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Added AEB rev C target.
	* ecos.db: Same.

1999-10-05  Nick Garnett  <nickg@cygnus.co.uk>

	* targets: Switched VR4300 over to big endian.
	
1999-10-06  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Allow an empty command prefix string, useful for the synthetic
	target. 

1999-09-16  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Added thumb-interwork.

1999-09-16  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Added pidT target.

1999-09-14  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	No longer explicitly check for the presence of the
	'tar' tool on the path. This problem is now reported
	adequately during invocation.

1999-09-14  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	Redirect the standard output of all subprocesses invoked
	using 'exec' to avoid problems with the script freezing
	when invoked via Tcl_EvalFile() under Windows.

1999-09-13  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	Test for presence of the 'tar' tool on the path.

	Raise an exception when a fatal error occurs. Catch
	error messages at the top level and return as the
	result of the script if the 'gui_mode' variable is
	set.

1999-09-10  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* packages: Tidy whitespace a bit

1999-09-10  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Update processor type for EB7211 board (arm7tdmi).

1999-09-09  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* packages: Rename CYGPKG_HAL_MN10300_SIM to CYGPKG_HAL_MN10300_AM31_SIM

1999-09-09  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	Add new '--extract_license' switch to extract the
	license file from a package distribution file for
	use by the eCos admin tool GUI.

1999-09-09  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Added pidT - PID running in Thumb mode.

1999-09-08  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Missing base platform for EB7211 ==> CL7211

1999-09-07  Jesper Skov  <jskov@cygnus.co.uk>

	* NEWS: Added drivers/watchdog

1999-09-07  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl:

	Use 'return' rather than 'exit' in case	we are running in
	the process of the caller.

	Add new '--accept_license' switch avoid prompting for
	license confirmation when invoked non-interactively.

1999-09-06  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Rename Cirrus Logic platforms to match actual boards.

1999-09-06  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* targets: Remove am33-sim platform

1999-08-16  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* packages:
	* targets:
	Rename all mentions of am32 to am31

1999-08-12  Nick Garnett  <nickg@cygnus.co.uk>	

	Merged from AM33 branch:
	
    1999-07-29  Jonathan Larmour <jlarmour@cygnus.co.uk>

	* packages:
	Put am33 platform sim after platform stb to look more correct
	in Configuration tool   

    1999-06-30  Nick Garnett  <nickg@cygnus.co.uk>

	* targets: Corrected command prefix and added architecture
	selection flags. 

    1999-06-29  Nick Garnett  <nickg@cygnus.co.uk>

	* targets:
	* packages:
	reorganized MN10300 HAL into arch+variants+platforms model
	pioneered by MIPS HAL.

1999-08-12  Jesper Skov  <jskov@cygnus.co.uk>

	* packages: Added entry for PCI package.

1999-08-12  Jesper Skov  <jskov@cygnus.co.uk>

	* ecos.db: Added PCI and ebsa entries.

1999-08-06  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl: Remove any new targets or templates
	which have missing packages.

1999-08-05  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl: Handle binary files by adding a ".bin"
	suffix to the filename in the distribution archive. The
	suffix is removed during file extraction.

1999-07-29  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: enabled SH3 code generation.

1999-07-27  John Dallaway  <jld@cygnus.co.uk>

	* pkgadmin.tcl: Transfer development of the eCos
	admin tool from the ecos-bartv-19990405-cdl-branch
	to the repository trunk.

1999-07-22  Hugo Tyson  <hmt@masala.cygnus.co.uk>

	* targets: Change compiler for StrongARM EBSA-285 from
	"strongarm-elf-xxx" to "arm-elf-xxx -mcpu=strongarm" now that we
	have verified an OK toolchain for that.

1999-07-14  Hugo Tyson  <hmt@cygnus.co.uk>

	* packages: Add StrongARM EBSA-285 eval board support.
	Package is CYGPKG_HAL_ARM_EBSA285.

	* targets: Add StrongARM EBSA-285 eval board support.
	Target is ebsa285.
	
1999-06-23  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Undid last change - introduced run time problems.

1999-06-22  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Select SH3 code generation.

1999-06-10  Hugo Tyson  <hmt@cygnus.co.uk>

	* packages, targets: Add support for the PowerPC target MBX860
	platform and QUICC companion components.

1999-06-09  Gary Thomas  <gthomas@cygnus.co.uk>

	* pkgconf.tcl (pkgconf::produce_misc_files): MLT files need
	actual platform name, not base platform, to be compatible with
	the ConfigTool.

1999-06-07  Gary Thomas  <gthomas@cygnus.co.uk>

	* pkgconf.tcl (pkgconf::process_arguments): Fix GUI problem with
	new 'base_platform' stuff.

1999-06-04  Gary Thomas  <gthomas@cygnus.co.uk>

	* pkgconf.tcl (command_prefix): Allow command_prefix to be overridden
	on a per-platform basis.

1999-06-04  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Add cma230T - CMA230 running in THUMB mode.

1999-06-03  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Add 'base_platform' for CL7111, based on CL7211.

	* pkgconf.tcl: Support 'base_platform' in target specification.  This
	performs the inverse of what the "platform" entry in CDL options does.

1999-05-28  Jesper Skov  <jskov@cygnus.co.uk>

	* targets:
	* packages:
	Renamed SH platform package to edk7708.

1999-05-28  Nick Garnett  <nickg@cygnus.co.uk>

	* targets: Removed stubs startup option from vrc4373
	platform. This is now handled by a permutation file.

1999-05-26  Jesper Skov  <jskov@cygnus.co.uk>

	* NEWS: Added Kernel/Debugging entry.

1999-05-21  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Need -ggdb instead of -g.

1999-05-21  Nick Garnett  <nickg@cygnus.co.uk>

	* targets: Added romram and stubs startup options to vrc4373
	platform for vr4300.
	
1999-05-20  Jesper Skov  <jskov@cygnus.co.uk>

	* packages:
	* targets: Add new architecture sh, platform edk.

1999-05-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: 
	* targets: Add Cogent CMA230 (ARM 7TDMI)

1999-05-18  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: Remove errant CL7111 package.

1999-05-17  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: 
	* targets: Add new platform CL7111 - substantially the same as
	the CL7211 but different processor core.
1999-05-13  Nick Garnett  <nickg@cygnus.co.uk>

	The following changes were made in a branch and imported to the
	main trunk at a later date:

    1999-04-26  Nick Garnett  <nickg@cygnus.co.uk>

	[VR4300 branch]	
	* targets: Added -EL to ARCHFLAGS and removed "el" from
	command_prefix.

    1999-04-22  Nick Garnett  <nickg@cygnus.co.uk>

	[VR4300 branch]
	* targets: Tidied up DBGFLAGS for vr4300 target.
	
    1999-04-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: Reorder IO & HAL packages to allow ConfigTool to
	handle rearranged hierarchy.

    1999-04-14  John Dallaway  <jld@cygnus.co.uk>

	* packages: Place architecture package description strings in
	alphabetic order.

1999-05-13  Jesper Skov  <jskov@cygnus.co.uk>
        PR 17809
	* targets: Use -msoft-float instead of defining _SOFT_FLOAT.

1999-05-10  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Add new #define's for the target and platform headers.

1999-04-30  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Fixed the command line used when generating extras.o (again)

1999-04-28  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf/makevars:
	Remove the -n argument to tail, it does not appear to be required
	on any supported host and causes problems with some
	implementations of tail.

	* pkgconf/makrules.tst:
	Remove out of date device driver rules

	* pkgconf/makevars: 
	* pkgconf/makrules.src:
	Provide general rules for updating libextras.a

1999-04-27  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Add $(ARCHFLAGS) and $(LDARCHFLAGS) to the command line when
	generating extras.o from libextras.a
1999-04-19  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Add Cirrus Logic CL7211 support.


1999-04-16  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Remove the phony target "packages". This is no longer useful and
	was causing problems, extras.o was not always rebuilt when it
	should because of a dependency on a phony target.
	
	* pkgconf.tcl:
	Simplify the rules for extras.o, based on the assumption that
	libextras.a will always exist. This is now guaranteed via
	hal/common/src/dummy.c

1999-04-15  Gary Thomas  <gthomas@cygnus.co.uk>

	* NEWS: Add information about available ARM ports.

1999-04-15  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf/makrules.src (build):
	Remove partial comment - I cannot remember what is was meant to
	say.

1999-04-14  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* pkgconf.tcl: Recreate extras.o when necessary after all other builds
	have completed. Create a dummy one, if there's no libextras.a

1999-04-14  Bart Veer  <bartv@cygnus.co.uk>

	* packages:
	Move serial devices to the end of the file so that the reparenting
	below the HAL packages works as intended.

1999-03-22  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* packages
	* targets
	Don't let CYGPKG_DEVICES_WALLCLOCK and CYGPKG_DEVICES_WATCHDOG be
	hardware-specific since they have emulation modes.
	Instead make them ubiquitous with default state enabled

	* Recursively *.h, *.hxx, *.c, *.cxx, *.inl:
	Detabify

1999-03-22  John Lane  <jlane@cygnus.co.uk>

	* Recursively *.h, *.hxx, *.c, *.cxx, *.inl:
	Update all copyright messages to be copyright 1999 too
	Strip all e-mail addresses down to user names within the DESCRIPTION header

1999-03-16  Gary Thomas  <gthomas@cygnus.co.uk>

	* pkgconf/makevars: Allow variables of the type 'fn-CFLAGS'
	and 'fn-CXXFLAGS' to provide singular option override for the
	given file name.

1999-03-17  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/makevars: Remove dependence on echo '-e' switch.

1999-03-16  Hugo Tyson  <hmt@cygnus.co.uk>

	* targets (sparclite, sleb): add rom startup.

1999-03-09  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	The generated pkgconf/pkgconf.mak file now defines variables
	TARGET, PLATFORM and STARTUP.

1999-03-05  John Dallaway  <jld@cygnus.co.uk>

	* packages, targets: Replace hardware attribute due to
	unforseen problems (undo most recent change).

1999-03-05  John Dallaway  <jld@cygnus.co.uk>

	* packages: Remove the hardware attribute from the WALLCLOCK
	and WATCHDOG packages.
	* targets: Remove the dependency of each platform on the
	WALLCLOCK and WATCHDOG packages since these are no longer
        hardware packages.

1999-03-05  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Remove old DEVICES package requirements.
	Add WALLCLOCK, WATCHDOG for all platforms.

1999-03-04  Gary Thomas  <gthomas@cygnus.co.uk>

	These changes merged from 'ecos-new_devs-19990216-branch'

	(1999-02-18  Gary Thomas  <gthomas@cygnus.co.uk>)

	* packages: Change include directory paths for I/O files.

	(1999-02-16  Gary Thomas  <gthomas@cygnus.co.uk>)

	* pkgconf/makrules.src: 
	* pkgconf/makrules.tst: 
	* packages: Rework I/O [device drivers] sub-system.

1999-03-04  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Added new command-line arguments --debug and --nodebug
	
	* pkgconf.tcl:
	Revert previous change. cygpath may not be available in
	customer releases of eCos.

	* pkgconf.tcl:
	Under Windows the external cygpath utility is now used to
	perform pathname translations. This eliminates the need for
	pkgconf.tcl to know about or make guesses about the mount
	table.

1999-03-04  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf.tcl: Point to renamed *.ldi and *.h memory
	layout files with unique names.

1999-03-03  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/makrules.tst:
	Ignore test link errors only when IGNORE_LINK_ERRORS is
	defined.

1999-03-02  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	tclsh 8.0 patchlevel 0 had problems accessing a namespace
	array variable when a command was running inside a safe
	interpreter. Prefixing the array variable with :: avoids
	the problem and is still legal Tcl code.

1999-02-26  Hugo Tyson  <hmt@cygnus.co.uk>

	* targets (sleb): 
	* packages (CYGPKG_HAL_SPARCLITE_SLEB): 
	Add SPARClite evaluation board (sleb).


1999-02-22  Mark Galassi  <rosalia@cygnus.com>

	* NEWS: small addition.

1999-02-19  Jesper Skov  <jskov@cygnus.co.uk>

	* NEWS: Added some more entries, fleshed out some.

1999-02-19  Mark Galassi  <rosalia@cygnus.com>

	* NEWS: added the NEWS file.  It's rather sparse for now.

1999-02-11  John Dallaway  <jld@cygnus.co.uk>

	* pkgconf/makrules.tst: Ignore linker errors while building tests.

1999-02-10  Hugo Tyson  <hmt@cygnus.co.uk>

	* targets: Set sparclite optimization -O2, enable selective
	linking, &c &c.

1999-02-10  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Remove options now that math problems have been addressed.

1999-02-08  John Dallaway  <jld@cygnus.co.uk>

	* packages: Define HAL and RS232 packages in alphabetical order
	for presentation by the configuration tool.

1999-02-01  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Add compiler options to work-around math code problems.
	
1999-01-25  Hugo Tyson  <hmt@cygnus.co.uk>

	* targets: be explicit about -msoft-float -mcpu=sparclite FAOD.


1999-01-21  Jesper Skov  <jskov@cygnus.co.uk>
 
	* targets:
	* packages:
 	Added FADS entries from Kevin Hester <KHester@opticworks.com>.

1999-01-20  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: Add ARM/PID serial driver

1999-01-20  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Changes ppc target 'stub' to 'stubs'.

1999-01-19  Hugo Tyson  <hmt@cygnus.co.uk>

	* targets: added -finit-priority to CXXLANGFLAGS for sparclite.


1999-01-19  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Added 'stub' startup.

1999-01-19  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Add new memory layout 'stubs' for GDB/stubs layout.

1999-01-15  Gary Thomas  <gthomas@cygnus.co.uk>

	* pkgconf.tcl: Add new misc file 'system.mak' which contains
	the same info as <pkgconf/system.h> except suitable for makefiles.

1999-01-14  Hugo Tyson  <hmt@cygnus.co.uk>

	* packages: add SPARClite HAL info
	* targets: add SPARClite info
	* hal/sparclite/*...: initial checkin.


1999-01-14  Gary Thomas  <gthomas@cygnus.co.uk>

	* pkgconf/makrules.prv: Rename 'TESTS' to 'PROGS' which makes
	more sense based on how these rules are used.

	* pkgconf.tcl: Add support for 'misc' subdirectories.

1999-01-14  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Changed x86 tools prefix to i686-pc-linux-gnu.

1999-01-13  Jesper Skov  <jskov@cygnus.co.uk>

	* packages: Added aliases to i386 linux entry.

1999-01-06  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Cleaned up i386 entry.

Mon Nov  9 15:05:30 GMT 1998  Chris Provenzano <proven@cygnus.com>

	Initial i386 linux port.

	* packages, targets: Added target i386 platform linux.


1999-01-11  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl: Provide interim support for the MLT

1998-12-17  Gary Thomas  <gthomas@cygnus.co.uk>

	* targets: Make compiler options platform specific
	for ARM (AEB-1 vs PID)

1998-12-15  Gary Thomas  <gthomas@cygnus.co.uk>

	* packages: Add new AEB-1 platform

	* targets: Support new selective linking for ARM.
	Also add AEB-1 platform.

1998-10-23  Jesper Skov  <jskov@cygnus.co.uk>
        PR 17959

	* targets: Add wallclock and watchdog devices to SIM and powerpc
	default configurations.

1998-10-21  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Define _SOFT_FLOAT for PPC. Workaround for PR 17809.

1998-10-16  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Add a check for versions of Tcl older than 8.0, and produce
	a sensible error message in those cases.

Thu Oct 15 08:55:00 1998  John Dallaway  <jld@cygnus.co.uk>

	* customers:
	Fix typo in prebuilts for `public' customer.

Wed Oct 14 15:50:34 1998  Tim Goodwin  <tgoodwin@cygnus.co.uk>

	* customers:
	Add prebuilts for `public' customer.

Tue Oct 13 17:10:46 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* targets: 
	Add -Wl,-static to link flags, since the up-and-coming
	toolchains after 1.1 will require it. In particular anyone
	using the latest devo compilers needs it.

Tue Oct 13 14:52:50 1998  Tim Goodwin  <tgoodwin@cygnus.co.uk>

	* pkgconf.tcl:
	Fix missing package name that causes bogus error message.

1998-10-12  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: added -ffunction-sections and -fdata-sections for
	powerpc.

Mon Oct 12 18:52:35 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* targets: 
	Add -Winline back into ERRFLAGS for tx39
	For PR 17319

1998-10-08  Gary Thomas  <gthomas@penang.cygnus.co.uk>

	* packages: 
	* targets: 
	Add support for new architecture.

1998-10-06  John Dallaway  <jld@cygnus.co.uk>

      * customers:
      Make the PowerPC architecture part of the public release.

1998-09-25  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	PR 17485: as a temporary workaround header files in the install
	tree are now always deleted. This is a sub-optimal solution since
	it may cause unnecessary rebuilds of the system and of application
	code, but it is safe. A correct solution would require much more
	work. 

1998-09-18  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl: The argument parsing code no longer tries to be
	clever when parsing pathnames. Any string is accepted, and if the
	filename happens to be illegal then this should result in a
	reasonable error message when generating the build tree.

Thu Sep 17 17:33:44 1998  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: TX39 doesn't support GDB_DEVICE.

Tue Sep 15 19:38:55 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* targets: 
	Removed -Winline for tx39 target since this toolchain produces
	warnings specific to it about not being able to inline functions
	that return something more than 32 bits.	

Tue Sep 15 19:11:20 1998  David Moore  <dsm@keema.cygnus.co.uk>

	* pkgconf.tcl: Cleaned up comments.

Tue Sep 15 13:49:06 1998  Jesper Skov  <jskov@cygnus.co.uk>

	* targets: Cleaned up powerpc lines.

1998-09-14  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl:
	Fixes for PR 17286. After the earlier fixes for PR 17195 pkgconf
	had started deleting the makefile.deps files even when it was
	not always appropriate to do so. Now makefile.deps files only
	get deleted if there has been a change to the configuration's
	set of packages. Whenever there is such a change the file
	pkgconf/pkgconf.mak gets updated, which should cause everything
	to be rebuilt and new makefile.deps files to be generated.

1998-09-11  Bart Veer  <bartv@cygnus.co.uk>

	* packages:
	Added more useful aliases for the watchdog and wallclock devices.

	* pkgconf.tcl:
	Fixes for PR 17195.
	When it becomes necessary to clean out the build tree,
	the generated makefile.deps files are now removed as well.
	It was possible for these files to reference headers that
	are no longer in the configuration.
	When a package was disabled and then re-enabled, the
	generated makefiles for the include directories would believe
	incorrectly that the install/include directory was up to date
	because of .stamp files. These generated makefiles no longer
	rely on .stamp files for correct operation to avoid any
	such problems.

	* targets:
	All individual device drivers are now disabled when using
	the simulator HAL packages.

1998-09-08  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl (pkgconf::produce_misc_files): 
	* pkgconf/makrules.prv: 
	* pkgconf/makrules.tst: 
	* pkgconf/makrules.src:
	Allow per-package make rules, for use by configuration tool.

Tue Sep  8 14:40:57 1998  Tim Goodwin  <tgoodwin@cygnus.co.uk>

        * targets:
        Turn on selective linking for TX39.  Remove `-fno-builtin'.

Mon Sep  7 18:24:07 1998  Hugo Tyson  <hmt@cygnus.co.uk>

	* targets: 
	Add -finit-priority to mn10300 and tx39 for it is no longer the
	default, with our latest lovely tools.

1998-09-04  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl: pkgconf::get_current_packages { }
	Hardware packages which were inappropriate for the current target
	but still explicitly enabled by the user were being ignored. In
	such cases the user should be able to override the settings.

	<pkgconf/system.h> now contains #undef's for packages that are not
	present. 

1998-09-03  Bart Veer  <bartv@cygnus.co.uk>

	* targets:
	The tx39 simulator platform should not have the serial device
	enabled. 

	* pkgconf.tcl:
	Changed the output of --pkgdata to match the needs of the
	configuration tool.

Thu Sep  3 15:13:42 1998  Tim Goodwin  <tgoodiwn@cygnus.co.uk>

	* packages:

	s/panx/mn10300/g

1998-09-02  Bart Veer  <bartv@cygnus.co.uk>

	* packages:
	Changed a few aliases, to improve consistency.

	* pkgconf.tcl: 
	Added Windows-specific support for pathnames with spaces.
	
	* pkgconf.tcl: 
	* targets: 
	* packages:
	Changed the way HAL packages are handled. At the same time,
	improved the handling of device driver packages.

Wed Sep  2 11:38:58 1998  Tim Goodwin  <tgoodwin@cygnus.co.uk

	* everything: global change to update copyright notice, etc.


Mon Aug 31 11:24:25 1998  Jesper Skov  <jskov@lassi.cygnus.co.uk>

	* targets: Added -finit-priority to PowerPC CXX flags.

Mon Aug 31 11:21:10 1998  Jesper Skov  <jskov@lassi.cygnus.co.uk>

	* targets: Added -finit-priority to PowerPC CXX flags.

1998-08-27  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl: Fix read_save_file() to report the filename
	correctly. 

1998-08-25  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl: Fix definitions of array variables to work with Tcl
	8.1 

Mon Aug 24 17:44:26 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* packages: 
	Change capitalisation of error package alias

1998-08-18  Nick Garnett  <nickg@cygnus.co.uk>

	* packages: Added "HAL Common" package.

Mon Aug 17 22:31:58 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* pkgconf/makrules.tst, pkgconf/makrules.prv: 
	Remove all -ltarget and -lgcc as we now specify them in the HAL
	linker scripts

Thu Aug 13 15:35:16 1998  Jonathan Larmour  <jlarmour@cygnus.co.uk>

	* pkgconf/makrules.prv, pkgconf/makrules.tst: 
	Add extra -ltarget as libgcc needs to have symbols resolved from
	the C library

1998-07-31  Nick Garnett  <nickg@cygnus.co.uk>

	* packages: Added watchdog device.

Mon Jul 27 19:36:53 BST 1998  Chris Provenzano  <proven@cygnus.com>

	* packages: Added gdb pseudo device.

1998-07-23  Bart Veer  <bartv@cygnus.co.uk>

	* pkgconf.tcl: added new argument --pkgdata for internal use only.
	This results in a program-friendly listing of the available
	packages. 

	* Start of consistent usage of ChangeLog files throughout the
	project 

//===========================================================================
// ####GPLCOPYRIGHTBEGIN####                                                
// -------------------------------------------                              
// This file is part of eCos, the Embedded Configurable Operating System.   
// Copyright (C) 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2009, 2010, 2011 Free Software Foundation, Inc.
//
// This program is free software; you can redistribute it and/or modify     
// it under the terms of the GNU General Public License as published by     
// the Free Software Foundation; either version 2 or (at your option) any   
// later version.                                                           
//
// This program is distributed in the hope that it will be useful, but      
// WITHOUT ANY WARRANTY; without even the implied warranty of               
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU        
// General Public License for more details.                                 
//
// You should have received a copy of the GNU General Public License        
// along with this program; if not, write to the                            
// Free Software Foundation, Inc., 51 Franklin Street,                      
// Fifth Floor, Boston, MA  02110-1301, USA.                                
// -------------------------------------------                              
// ####GPLCOPYRIGHTEND####                                                  
//===========================================================================
